The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Первая LTS-сборка дистрибутива KDE neon User Edition

09.12.2016 22:29

Джонатан Риддел (Jonathan Riddell), бывший лидер проекта Kubuntu, последнее время занимающийся дистрибутивом KDE neon, представил новую сборку KDE neon User LTS Edition, основанную на рабочем столе Plasma 5.8, поддержка которого осуществляется восемнадцать месяцев вместо обычных четырёх. Сборка рассчитана на повседневное использование людьми, которые хотят получить новые версии приложений, но сохранить стабильный рабочий стол.

Для достижения данной задачи в KDE neon User LTS Edition используются самые свежие версии наборов KDE Applications и KDE Frameworks, а также приложений Kate, Firefox, Konsole, KDE Connect, VLC, Spectacle, Dolphin и Print Manager, в сочетании с корректирующими обновлениями LTS-ветки Plasma 5.8 (без перехода на Plasma 5.9, когда выйдет данная версия). Сборка сформирована с использованием пакетов Ubuntu 16.04. Размер iso-образа (x86_64) для установки на USB Flash - 1 Гб.

  1. Главная ссылка к новости (http://jriddell.org/2016/12/09...)
  2. OpenNews: Ошибка в настройке репозитория KDE Neon могла привести к подмене пакетов
  3. OpenNews: Нестабильные сборки KDE Neon Developer Edition переходят по умолчанию на Wayland
  4. OpenNews: Первая стабильная сборка KDE neon User Edition
  5. OpenNews: Проект openSUSE начал формирование сборок с экспериментальными выпусками KDE и GNOME
  6. OpenNews: Бывший лидер Kubuntu представил проект KDE neon
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/45650-kde
Ключевые слова: kde, neon, plasma
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (23) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.4, Аноним (-), 00:25, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +3 +/
    Пользуюсь им уже третью неделю. Стабильным его назвать трудно, т. к. в /var/crash постоянно валяются какие-то корки от KDE. Но в декабре, с последними апдейтами, стало гораздо лучше. Собственно сама плазма не падает, а вот всякая хренотень, типа kmail, korganizer валится только в путь. Однако они мне не нужны, поэтому не напрягает.

    P. S.
    С начала пытался на kubuntu натянуть, добавив репы KDE neon по мануалам с кедеешного форума, но что-то как-то этот способ не очень корректно обновляет kubuntu. Много пакетов не обновилось почему-то, а руками разгребать этот фарш мне было лень. Не верьте этим советам и горе-мануалам. Пришлось все-таки поставить KDE neon с нуля.

     
     
  • 2.6, Аноним (-), 01:31, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Can I turn Kubuntu into KDE neon with a PPA?

    This is absolutely not tested or supported.


    https://neon.kde.org/faq.php#installCounting

     
  • 2.12, suyur (?), 07:12, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Здравствуйте. При попытке установить пользовательские параметры принтера (в данном случае Canon MG 2140), обнаружилось, что новые значения не сохраняются. OS Linux Mint 18 KDE, в KDE Neon - тоже. В OS Linux Mint 7.2 Cinnamon - все нормально, изменения сохраняются. В других дист-рах с KDE Plasma 5 не проверял. В чем причина? Есть решение?
    Спасибо.
     
     
  • 3.35, ленивый (?), 14:41, 11/12/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Поиграйся с CUPS, а если не получилось то в саппорт Aple. )) ... по практике, это все не любит кирилицу в путях.
     
  • 2.21, Аноним (-), 11:26, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Там часовые пояса для России починили, наконец?
     
     
  • 3.23, Аноним (-), 11:40, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Там часовые пояса для России починили, наконец?

    Нет. Риддел упорно не хочет брать для своего пакета Qt 5.7.0 патч из ветки 5.7.1 ( https://bugreports.qt.io/browse/QTBUG-53071 ). Уж не знаю, что думать. Может он русофоб какой-нибудь. :)

     
  • 2.24, milton (?), 12:58, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Я на Kubuntu натянул, плазма уже не падает, но с Kontact проблемы. Пока разбирался с зависимостями при натягивании NEON на Kubuntu пользовался параллельно Xubuntu несколько дней. И так мне мыша понравилась своей скоростью, что снес нафиг этот KubuntuNEON и остался на XFCE.
     
     
  • 3.33, Led (ok), 22:50, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Пока разбирался с зависимостями при натягивании NEON на Kubuntu пользовался параллельно
    > Xubuntu несколько дней. И так мне мыша понравилась своей скоростью, что
    > снес нафиг этот KubuntuNEON и остался на XFCE.

    В гей-клуб походить "несколько дней" не пробовал?

     

  • 1.8, Аноним (-), 03:43, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Когда я пытался поставить KDE neon (User Edition) на новую машину, мне установщик выдал ошибку при разбивке диска. Так я его в результате и не поставил (установил Debian Testing).

    По мне, так ребята не по тому пути пошли. Потому что, если они решили делать свой дистрибутив, то придется поддерживать и вылизывать до работающего состояния все пакеты, установщик, сторонние репозитории, а не только собственные пакеты. Возможно, вариант с собственным репозиторием, который заменяет пакеты с KDE в дебиане или Ubuntu был бы более надежным.

     
  • 1.9, milinsky (ok), 04:21, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    >VLC

    Эти идиоты прибили этот самый VLC гвоздями к KDE. При удалении VLC удаляется половина кед, что приводит их к неработоспособности.

     
     
  • 2.14, Sunderland93 (ok), 09:34, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Осиль удалить phonon-backend-gstreamer
     
     
  • 3.18, milinsky (ok), 11:02, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/
    И что это даст? Это не решает проблему. Проблема в том что VLC в двухсторонней зависимости от пакета neon-desktop, при удалении которого сносится половина кед. Если эту половину кед поставить потом вручную, то вместе с этим поставится и neon-desktop а вместе с ним и VLC. В любом другом дистре удаление VLC влечет за собой удаление самого VLC и еще пары пакетов для Phonon, но никак не системные библиотеки без которых система потом не запустится.
     
     
  • 4.20, Аноним (-), 11:25, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > И что это даст? Это не решает проблему. Проблема в том что
    > VLC в двухсторонней зависимости от пакета neon-desktop, при удалении которого сносится
    > половина кед.

    https://mail.kde.org/mailman/listinfo/neon

    Лучше напиши об этом непосредственно Ридделу, чтобы он с похмелья дистрибутивы больше не собирал. ;) Здесь бесполезно сокрушаться, а так появится шанс, что это будет исправлено.

     
  • 2.25, xapienz (ok), 14:20, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • +1 +/
    sudo apt install phonon4qt5-backend-gstreamer
    sudo apt remove phonon4qt5-backend-vlc

    Решит проблему, можно будет спокойно удалить vlc

     

  • 1.11, djoe (ok), 06:47, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Насколько я помню, то LTS-сборкой была объявлена версия плазмы 5.8, и вышла эта новость еще хрен знает когда. К чему этот дубль чуть ли не 2 месяца спустя?
     
     
  • 2.17, Аноним (-), 10:52, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • +/
    > Насколько я помню, то LTS-сборкой была объявлена версия плазмы 5.8, и вышла
    > эта новость еще хрен знает когда. К чему этот дубль чуть
    > ли не 2 месяца спустя?

    В новости речь не об LTS для Plasma, а о новом LTS-дистрибутиве  KDE neon User LTS Edition, который в отличие от KDE neon User Edition не перейдёт на Plasma 5.9, кода она выйдет.

     
     
  • 3.19, Аноним (-), 11:15, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Все равно там некая наркомания наблюдается.

    KInfocenter в KDE neon User Edition со всеми текущими апдейтами, показывает: KDE Plasma Version 5.8.4, KDE Frameworks Version: 5.28.0, Qt Version: 5.7.0.

    А в KDE neon User LTS Edition: KDE Plasma Version 5.8.4, KDE Frameworks Version: 5.29.0, Qt Version: 5.7.0.

    Непонятно почему в KDE neon User Edition фреймворкс более старый - 5.28.0.

     
  • 3.26, djoe (ok), 14:46, 10/12/2016 [^] [^^] [^^^] [ответить]  
  • –1 +/

    > В новости речь не об LTS для Plasma, а о новом LTS-дистрибутиве
    >  KDE neon User LTS Edition, который в отличие от KDE
    > neon User Edition не перейдёт на Plasma 5.9, кода она выйдет.

    Понятно, спасибо, не сразу дошло..


     

  • 1.15, BrainFucker (ok), 09:46, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Лучше бы под 16.10 портировали.
     
  • 1.16, Аноним (-), 10:03, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Эта штука не стабильная, и баги вылазять какие-то совсем уж странные. Кому нужен такой LTS Edition? Только портят репутацию Plasma 5.
     
  • 1.27, Kubuntu User (?), 15:45, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Kubuntu поставил и не парюсь. KDE Neon - даже этот LTS - нифига не стабильный.
     
  • 1.28, Joe B. (?), 16:31, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –2 +/
    Plasma 5.9 так плоха, что нужна LTS-версия neon?
     
  • 1.31, djoe (ok), 20:10, 10/12/2016 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Попробовал этот т.н. LTS-дистрибутив неона. Короче, за то время что я его настаривал после установки, один раз упал kwin, и один раз шмякнулась плазма. KDE neon User Edition такого себе не позволял.
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру